---
shortcuts:
  hostname: xray-docs.badhouseplants.net

base:
  workload:
    kind: Deployment
    strategy:
      type: RollingUpdate
    containers:
      xray-docs:
        image:
          registry: zot.badhouseplants.net
          repository: badhouseplants/xray-docs
          tag: latest
          pullPolicy: Always
        ports:
          main:
            - http
        livenessProbe:
          httpGet:
            path: /
            port: 8080
          initialDelaySeconds: 3
          periodSeconds: 3
        readinessProbe:
          httpGet:
            path: /
            port: 8080
          initialDelaySeconds: 3
          periodSeconds: 3
        volumeMounts:
          extraVolumes:
            cache:
              path: /var/cache/nginx
extraVolumes:
  cache: 
    emptyDir: {}
ingress:
  main:
    enabled: true
    annotations:
      kubernetes.io/ingress.class: traefik
      traefik.ingress.kubernetes.io/router.entrypoints: web,websecure
      kubernetes.io/tls-acme: "true"
      kubernetes.io/ingress.allow-http: "false"
      kubernetes.io/ingress.global-static-ip-name: ""
      cert-manager.io/cluster-issuer: badhouseplants-issuer-http01
    class: traefik
    rules:
      - host: "{{ .Values.shortcuts.hostname }}"
        http:
          paths:
            - backend:
                service:
                  name: '{{ include "chart.fullname" $ }}-main'
                  port:
                    number: 8080
              path: /
              pathType: Prefix
    tls:
      - hosts:
          - "{{ .Values.shortcuts.hostname }}"
        secretName: "{{ .Values.shortcuts.hostname }}"
services:
  main:
    enabled: true
    type: ClusterIP
    ports:
      http:
        port: 8080
        targetPort: 8080
        protocol: TCP
